texmath-0.13.2.1: Conversion between math formats.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.TeXMath.TeX

Synopsis

- data TeX
  - = ControlSeq Text
  - | Token Char
  - | Literal Text
  - | Grouped [TeX]
  - | Space
- renderTeX :: TeX -> Text -> Text
- isControlSeq :: Text -> Bool
- escapeLaTeX :: Char -> TeX

# Documentation

data TeX Source #

An intermediate representation of TeX math, to be used in rendering.

Constructors

ControlSeq Text |
Token Char |
Literal Text |
Grouped [TeX] |
Space |

#### Instances

Instances details

Show TeX Source # |
Instance details Defined in Text.TeXMath.TeX Methods showsPrec :: Int -> TeX -> ShowS Source # show :: TeX -> String Source # showList :: [TeX] -> ShowS Source #
Eq TeX Source # |
Instance details Defined in Text.TeXMath.TeX Methods (==) :: TeX -> TeX -> Bool Source # (/=) :: TeX -> TeX -> Bool Source #

renderTeX :: TeX -> Text -> Text Source #

Render a `TeX` to a string, appending to the front of the given string.

isControlSeq :: Text -> Bool Source #

escapeLaTeX :: Char -> TeX Source #